aboutsummaryrefslogtreecommitdiffstats
path: root/native/jni/run-tests.sh
diff options
context:
space:
mode:
authorYohei Yukawa <yukawa@google.com>2014-10-23 17:58:00 +0900
committerYohei Yukawa <yukawa@google.com>2014-10-23 18:31:06 +0900
commitba35bb83a87eff69adeefc08da901a856058e5f0 (patch)
tree15187e4be90851704ec05cb8af67636c8dd31c58 /native/jni/run-tests.sh
parent9c0b3419dad52a91695eec52090b6f53a35b42e8 (diff)
downloadlatinime-ba35bb83a87eff69adeefc08da901a856058e5f0.tar.gz
latinime-ba35bb83a87eff69adeefc08da901a856058e5f0.tar.xz
latinime-ba35bb83a87eff69adeefc08da901a856058e5f0.zip
Stop building host native test in unbundled build
It turned out that building native code for host environment is not supported in NDK build. Hence this CL makes the host native test available only as a part of platform build to avoid accidental build breakage in unbundled build. BUG: 18095678 Change-Id: If608da166d5a478358e6890b8db526b4c2c0ab41
Diffstat (limited to 'native/jni/run-tests.sh')
-rwxr-xr-xnative/jni/run-tests.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/native/jni/run-tests.sh b/native/jni/run-tests.sh
index 3da45270d..a7fa82d9b 100755
--- a/native/jni/run-tests.sh
+++ b/native/jni/run-tests.sh
@@ -48,6 +48,13 @@ if [[ $show_usage == yes ]]; then
if [[ ${BASH_SOURCE[0]} != $0 ]]; then return; else exit 1; fi
fi
+# Host build is never supported in unbundled (NDK/tapas) build
+if [[ $enable_host_test == yes && -n $TARGET_BUILD_APPS ]]; then
+ echo "Host build is never supported in tapas build." 1>&2
+ echo "Use lunch command instead." 1>&2
+ if [[ ${BASH_SOURCE[0]} != $0 ]]; then return; else exit 1; fi
+fi
+
target_test_name=liblatinime_target_unittests
host_test_name=liblatinime_host_unittests